MantisBT
Mantis Bug Tracker Workflow

View Issue Details Jump to Notes ] Related Changesets ] Issue History ] Print ]
IDProjectCategoryView StatusDate SubmittedLast Update
0024754Community[OCCT] OCCT:Codingpublic2014-03-23 03:392014-05-05 13:39
Reportermach22 
Assigned Toapn 
PrioritynormalSeverityintegration request 
StatusclosedResolutionfixed 
PlatformWindowsOSVC++ 2012OS Version64 bit
Product Version[OCCT] 6.7.0 
Target Version[OCCT] 6.7.1Fixed in Version[OCCT] 6.7.1 
Summary0024754: Remove constructor for static class TopOpeBRep_PointGeomTool
Descriptionthe class TopOpeBRep_PointGeomTool is a static class so it's possible to remove the constructor for this class
TagsNo tags attached.
Test case numberNot needed
Attached Files

- Relationships
related to 0024730closedbugmaster Remove constructor for class TopOpeBRep_GeomTool 

-  Notes
(0028530)
kgv (developer)
2014-03-28 10:59

Please test compilation of the patch in CR24754 and integrate.
(0028567)
mkv (tester)
2014-03-31 18:21

Dear BugMaster,

Branch CR24754 (and products from GIT master) was compiled on Linux and Windows platforms and tested.
SHA-1: 7d91e36aef22a225ebd610639dc45fce63a24535

Number of compiler warnings:

occt component :
Linux: 27 (27 on master)
Windows: 0 (0 on master)

products component :
Linux: 12 (12 on master)
Windows: 2 (2 on master)

- Related Changesets
occt: master 4349c10e
Timestamp: 2014-03-28 06:57:47
Author: kgv
Committer: apn
Details ] Diff ]
0024754: Remove constructor for static class TopOpeBRep_PointGeomTool
mod - src/TopOpeBRep/TopOpeBRep_PointGeomTool.cdl Diff ] File ]
mod - src/TopOpeBRep/TopOpeBRep_PointGeomTool.cxx Diff ] File ]

- Issue History
Date Modified Username Field Change
2014-03-23 03:39 mach22 New Issue
2014-03-23 03:39 mach22 Assigned To => kgv
2014-03-23 10:50 kgv Relationship added related to 0024730
2014-03-28 10:59 kgv Note Added: 0028530
2014-03-28 10:59 kgv Assigned To kgv => bugmaster
2014-03-28 10:59 kgv Status new => resolved
2014-03-28 10:59 kgv Summary remove constructor for static class TopOpeBRep_GeomTool => Remove constructor for static class TopOpeBRep_PointGeomTool
2014-03-28 10:59 kgv Description Updated View Revisions
2014-03-28 11:00 kgv Status resolved => reviewed
2014-03-28 11:00 kgv Target Version => 6.7.1
2014-03-28 18:31 mkv Assigned To bugmaster => mkv
2014-03-31 18:21 mkv Note Added: 0028567
2014-03-31 18:21 mkv Test case number => Not needed
2014-03-31 18:21 mkv Assigned To mkv => bugmaster
2014-03-31 18:21 mkv Status reviewed => tested
2014-04-04 17:03 apn Changeset attached => occt master 4349c10e
2014-04-04 17:03 apn Assigned To bugmaster => apn
2014-04-04 17:03 apn Status tested => verified
2014-04-04 17:03 apn Resolution open => fixed
2014-05-05 13:33 user533 Status verified => closed
2014-05-05 13:39 user533 Fixed in Version => 6.7.1


Copyright © 2000 - 2018 MantisBT Team
Powered by Mantis Bugtracker